import _sfc_main$1 from './Dialog-MyCEsDa3.mjs';
import { o as _export_sfc, n as __nuxt_component_0 } from './server.mjs';
import _sfc_main$2 from './Notification-C90y0TCL.mjs';
import { V as VMain, _ as __nuxt_component_3 } from './Footer-QapPdznY.mjs';
import { withCtx, createVNode, useSSRContext } from 'vue';
import { ssrRenderComponent } from 'vue/server-renderer';
import { V as VApp } from './VApp-BZMA-BjH.mjs';
import './VDialog-ClVLCNXJ.mjs';
import './VOverlay-Dlj-QQp0.mjs';
import './animation-DMtpo1PO.mjs';
import './index-0tjXFI7F.mjs';
import './VAvatar-DZc9zgUD.mjs';
import './createSimpleFunctional-D4PbVxKo.mjs';
import './VDivider-akc4E5rx.mjs';
import './forwardRefs-C3iWxc5z.mjs';
import './VCard-D86CughW.mjs';
import './VCardActions-B8o0qNQf.mjs';
import './VCardText-KkYigSmQ.mjs';
import './VTextarea-D5gjRx3P.mjs';
import './autofocus-BUnCw2TG.mjs';
import './form-Q_oG-_Ip.mjs';
import './VSpacer-D6kTsy1m.mjs';
import '../nitro/nitro.mjs';
import 'luxon';
import '@sequelize/core';
import 'html-to-text';
import 'zod';
import 'crypto';
import 'node:fs';
import 'sharp';
import 'path';
import 'node:stream';
import 'jsdom';
import 'dompurify';
import 'mime-types';
import 'fs';
import 'fs/promises';
import 'linkify-html';
import '@peertube/http-signature';
import 'jsonld';
import 'lodash.intersection';
import 'email-templates';
import 'node:http';
import 'node:https';
import 'node:crypto';
import 'node:events';
import 'node:buffer';
import 'node:path';
import 'vue-router';
import 'dotenv';
import 'url';
import 'bcryptjs';
import 'slugify';
import 'umzug';
import 'consola';
import '@sequelize/core/decorators-legacy';
import 'util';
import 'mitt';
import 'ical.js';
import 'node:url';
import 'fast-xml-parser';
import 'perfect-debounce';
import 'v-calendar';
import 'linkifyjs';
import '../routes/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'unhead/server';
import 'devalue';
import 'unhead/utils';
import './VAlert-B_mtyJh1.mjs';
import './layout-_LUp2zqU.mjs';
import './VMenu-I968mMci.mjs';

const _sfc_main = {};
function _sfc_ssrRender(_ctx, _push, _parent, _attrs) {
  const _component_CoreDialog = _sfc_main$1;
  const _component_NuxtPage = __nuxt_component_0;
  const _component_CoreNotification = _sfc_main$2;
  const _component_CoreFooter = __nuxt_component_3;
  _push(ssrRenderComponent(VApp, _attrs, {
    default: withCtx((_, _push2, _parent2, _scopeId) => {
      if (_push2) {
        _push2(ssrRenderComponent(VMain, null, {
          default: withCtx((_2, _push3, _parent3, _scopeId2) => {
            if (_push3) {
              _push3(ssrRenderComponent(_component_CoreDialog, null, null, _parent3, _scopeId2));
              _push3(ssrRenderComponent(_component_NuxtPage, null, null, _parent3, _scopeId2));
            } else {
              return [
                createVNode(_component_CoreDialog),
                createVNode(_component_NuxtPage)
              ];
            }
          }),
          _: 1
        }, _parent2, _scopeId));
        _push2(ssrRenderComponent(_component_CoreNotification, null, null, _parent2, _scopeId));
        _push2(ssrRenderComponent(_component_CoreFooter, null, null, _parent2, _scopeId));
      } else {
        return [
          createVNode(VMain, null, {
            default: withCtx(() => [
              createVNode(_component_CoreDialog),
              createVNode(_component_NuxtPage)
            ]),
            _: 1
          }),
          createVNode(_component_CoreNotification),
          createVNode(_component_CoreFooter)
        ];
      }
    }),
    _: 1
  }, _parent));
}
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("layouts/clean.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
const clean = /* @__PURE__ */ _export_sfc(_sfc_main, [["ssrRender", _sfc_ssrRender]]);

export { clean as default };
